<?php
/**
 *
 * The archive template 
*/

get_header(); ?>

<main id="main" class="site-main archive container clearfix" role="main">
	<div class="main-content">
		<?php if ( have_posts() ) : 

			echo '<div class="page-header">';
			esc_html( the_archive_title( '<h1 class="page-title">', '</h1>' ) );
			esc_html( the_archive_description( '<div class="taxonomy-description">', '</div>' ) );
			echo '</div>';

			// Start the loop.
			while ( have_posts() ) : the_post(); 
		  
				/*
				 * Include the Post-Format-specific template for the content.
				 * If you want to override this in a child theme, then include a file
				 * called content-___.php (where ___ is the Post Format name) and that will be used instead.
				 */
				get_template_part('content', get_post_format()); 

				if ( comments_open() ) comments_template(); 

			// End the loop.
	  	endwhile; 

			// Previous/next page navigation.
			the_posts_pagination( array(
				'mid_size' 					 => 2,
				'prev_text'          => __( 'Previous', 'shale' ),
				'next_text'          => __( 'Next', 'shale' ),
			) );

	  // If no content, display no posts found message.
		else: 
	  	_e('No posts were found. Sorry!', 'shale'); 
		endif; ?>
	</div><!-- .main-content -->
	
	<?php if ( is_active_sidebar( 'sidebar-right' ) ): ?>
		<div class="right-sidebar">
			<?php get_sidebar(); ?>
		</div><!-- .right-sidebar -->
	<?php endif; ?>

</main><!-- .site-main -->
	
<?php get_footer(); ?>
