<?php
/**
 * The content template for single posts
 */
?>

<article id="post-<?php the_ID(); ?>" class="clearfix" <?php post_class(); ?>>

	<div class="entry-meta clearfix">
		<span class="entry-category"><?php esc_html( the_category( ' &bull; ' ) ); ?></span>
	  <span class="entry-date"><time datetime="<?php echo esc_html( get_the_date( 'c' ) )?>"><?php echo esc_html( get_the_date() ); ?> at <?php echo esc_html( get_the_time() ); ?></time></span>
	 </span>
	 	<span class="entry-author">By <?php echo '<a class="name" href="' . esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ) . '" rel="author">' . esc_html( get_the_author() ) . '</a>'; ?></span>
	  <span class="entry-comments"><?php echo comments_popup_link( 'No comments', ' 1 Comment', ' % Comments', 'meta-element comment-link', ' Comments Disabled' ); ?></span>
	</div><!-- .entry-meta -->		

	<?php if ( has_post_thumbnail() ): ?>
	  <div class="entry-image">
			<?php
				// Post thumbnail.
				the_post_thumbnail( 'featured-image'); 
			?>
		</div>
	<?php endif; ?>		

	<div class="entry-header">
		<?php
			esc_html( the_title( '<h1 class="entry-title">', '</h1>' ) );
		?>
	</div><!-- .entry-header -->	

	<div class="entry-content clearfix">
		<?php

			the_content( sprintf(
				__( '<span class="read-more">Read More</span>', 'shale' ),
				the_title( '<span class="screen-reader-text">', '</span>', false )
			) );

			wp_link_pages( array(
				'before'      => '<div class="page-links"><span class="page-links-title">' . __( 'Pages:', 'shale' ) . '</span>',
				'after'       => '</div>',
				'link_before' => '<span>',
				'link_after'  => '</span>',
				'pagelink'    => '<span class="screen-reader-text">' . __( 'Page', 'shale' ) . ' </span>%',
				'separator'   => '<span class="screen-reader-text">, </span>',
			) );
		?>

	</div><!-- .entry-content -->
	
	<?php if( has_tag() ): ?>
		<div class="entry-tags clearfix">
			<?php esc_html( the_tags('More under: ', ' &bull; ') ); ?>
		</div><!-- .entry-tags -->
	<?php endif; ?>

	<?php if ( get_the_author_meta('description') ) : ?>
		<div class="entry-author-bio clearfix">
			<?php shale_author_bio(); ?>
		</div><!-- .entry-author-bio -->	
	<?php endif ?>

	<?php	shale_post_nav() ?>

</article><!-- #post-## -->