<?php
/**
 * The default template for displaying content
 */
?>

<article id="post-<?php the_ID(); ?>" class="<?php if ( has_post_thumbnail() ): ?>has-image<?php endif; ?> clearfix" <?php post_class(); ?>>

	<?php if ( is_sticky() ): ?>
		<span class="sticky-message">Sticky</span>
	<?php endif; ?>

	<div class="entry-header">
		<?php
			if ( is_single() ) :
				esc_html( the_title( '<h1 class="entry-title">', '</h1>' ) );
			else :
				esc_html( the_title( sprintf( '<h2 class="entry-title"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h2>' ) );
			endif;
			?>
			<span class="entry-author">By <?php echo '<a class="name" href="' . esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ) . '" rel="author">' . esc_html ( get_the_author() ) . '</a>'; ?></span>	
	</div><!-- .entry-header -->	

	<?php if ( has_post_thumbnail() ): ?>
	  <div class="entry-image">
			<?php
				// Post thumbnail
				the_post_thumbnail( 'featured-image'); 
			?>
		</div>
	<?php endif; ?>	

	<div class="entry-excerpt clearfix">
		<?php
			if ( !has_excerpt() ) {
				the_content( sprintf(
					__( 'Read More...', 'shale' ),
					the_title( '<span class="screen-reader-text">', '</span>', false )
				) );
			} else {
				the_excerpt();
			}
		 ?>
	</div><!-- .entry-excerpt -->

	<div class="post-info">
		<div class="entry-meta ">
		  <span class="entry-date"><time datetime="<?php echo esc_html( get_the_date( ' r ' ) )?>"><?php echo esc_html( get_the_date() ); ?>at <?php echo esc_html( get_the_time() ); ?></time></span>  |  
		  <span class="entry-category"><?php esc_html (the_category( ' &bull; ' ) ); ?></span>  |
		  <span class="entry-comments"><?php echo comments_popup_link( 'No comments', ' 1 Comment', ' % Comments', 'meta-element comment-link', ' Comments Disabled' ); ?></span>
		</div><!-- .entry-meta -->		
	</div><!-- .post-info -->

</article><!-- #post-## -->