<?php
/**
 * The template for displaying the header
 */
?>

<!DOCTYPE HTML>
<html <?php language_attributes(); ?>>
<head>
  <meta charset="<?php bloginfo( 'charset' ); ?>">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel="profile" href="http://gmpg.org/xfn/11">
  <?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>
<div id="page" class="site"><div id="page-wrapper-inner">

  <div class="site-navigation clearfix" role="navigation">
    <nav id="nav" class="site-nav" role="navigation"><div class="container">
      <a href="#nav" class="close-nav" title="Close navigation"><?php _e( 'Close Nav', 'shale' ); ?></a>
      <?php
      // Primary navigation menu.
      wp_nav_menu( array(
        'menu_class'     => 'nav-menu',
        'theme_location' => 'primary',
        'fallback_cb' => 'wp_page_menu'
      ) );
      ?>
    </div></nav><!-- .main-navigation -->
  </div><!-- .site-navigation -->

  <?php if ( has_header_image() ) { ?>
    <div class="custom-header-wrapper">
        <a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home">
          <img src="<?php header_image(); ?>" width="<?php echo get_custom_header()->width; ?>" height="<?php echo get_custom_header()->height; ?>" alt="<?php echo esc_html( get_bloginfo( 'name', 'display' ) ); ?>">
        </a>
    </div>
  <?php } ?>  

  <header id="masthead" class="site-header clearfix" role="banner">
    <div class="site-header-inner container">
      <div class="site-branding clearfix">
        <?php if ( has_nav_menu( 'primary' ) ) : ?>
          <a href="#nav" class="nav-toggle" title="Show navigation"><i class="fa fa-bars"></i></a>
        <?php endif; ?>
        <?php shale_the_custom_logo(); ?>
        <div class="social-links">
          <?php shale_social_icon( 'pinterest' ); ?>
          <?php shale_social_icon( 'facebook' ); ?>
          <?php shale_social_icon( 'twitter' ); ?>
          <a href="<?php echo esc_url( home_url( '/' ) ); ?>?feed=rss" class="social-icon" title="RSS"><i class="fa fa-rss"></i></a> 
        </div>
        <?php get_search_form(); ?>
        <?php 
        $description = get_bloginfo( 'description', 'display' );
        if ( $description || is_customize_preview() ) : ?> 
          <span class="site-description">
            <?php echo esc_html( $description ); ?>
          </span>
        <?php endif; ?>
      </div><!-- .site-branding -->
    </div><!-- .site-header-inner -->
  </header><!-- .site-header -->

  <div id="content" class="site-content clearfix">