<?php
/**
 *
 * The template for displaying the search results
 */

get_header(); ?>

<main id="main" class="site-main container archive search-results clearfix" role="main">
	<div class="main-content">
		<?php if ( have_posts() ) : ?>

			<div class="page-header">
				<h1 class="page-title"><?php printf( __( 'Search Results for: %s', 'shale' ), get_search_query() ); ?></h1>
			</div><!-- .page-header -->

			<?php

			// Start the loop.
			while ( have_posts() ) : the_post(); 
		  
				/*
				 * Include the Post-Format-specific template for the content.
				 * If you want to override this in a child theme, then include a file
				 * called content-___.php (where ___ is the Post Format name) and that will be used instead.
				 */
				get_template_part('content', 'search' ); 

				if ( comments_open() || '0' != get_comments_number() ) :
					comments_template();
				endif; 

			// End the loop.
	  	endwhile; 

			// Previous/next page navigation.
			the_posts_pagination( array(
				'mid_size' 					 => 2,
				'prev_text'          => __( 'Previous', 'shale' ),
				'next_text'          => __( 'Next', 'shale' ),
			) );

	  // If no content, display no posts found message.
		else: 
			echo '<div class="no-results">';
			echo '<span class="no-results-message">';
	  	_e('Sorry, no posts were found. Try another search?', 'shale'); 
	  	echo '</span>';
			get_search_form();
			echo '</div>';
		endif; ?>
	</div><!-- .main-content -->

	<?php if ( is_active_sidebar( 'sidebar-right' ) ): ?>
		<div class="right-sidebar">
			<?php get_sidebar(); ?>
		</div><!-- .right-sidebar -->
	<?php endif; ?>

</main><!-- .site-main -->
	
<?php get_footer(); ?>
